summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-02-08 09:08:16 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-02-08 09:08:16 (GMT)
commit0bf7b390b08ff0e6acf00bc31ecb5a4d8e6a7d17 (patch)
tree301c7e0ca6f7a28dedb51ea80bff5cb4ec8c9bc1
parent77b538b7e109532d51307dc68b1ac245464165ad (diff)
downloadlinhes_pkgbuild-0bf7b390b08ff0e6acf00bc31ecb5a4d8e6a7d17.zip
linhes_pkgbuild-0bf7b390b08ff0e6acf00bc31ecb5a4d8e6a7d17.tar.gz
linhes_pkgbuild-0bf7b390b08ff0e6acf00bc31ecb5a4d8e6a7d17.tar.bz2
Sync w/ upstream, needed for xine-lib.
-rw-r--r--abs/core-testing/ffmpeg/PKGBUILD18
1 files changed, 8 insertions, 10 deletions
diff --git a/abs/core-testing/ffmpeg/PKGBUILD b/abs/core-testing/ffmpeg/PKGBUILD
index 4719581..9096aa6 100644
--- a/abs/core-testing/ffmpeg/PKGBUILD
+++ b/abs/core-testing/ffmpeg/PKGBUILD
@@ -1,18 +1,18 @@
-# $Id: PKGBUILD 5671 2008-07-20 05:09:25Z eric $
+# $Id: PKGBUILD 24006 2009-01-11 23:04:11Z eric $
# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
# Maintainer: Paul Mattal <paul@archlinux.org>
pkgname=ffmpeg
-pkgver=20080715
-pkgrel=4
+pkgver=20081220
+pkgrel=1
pkgdesc="Complete and free Internet live audio and video broadcasting solution for Linux/Unix"
arch=(i686 x86_64)
url="http://ffmpeg.mplayerhq.hu/"
license=('LGPL')
-depends=('lame' 'sdl' 'libvorbis' 'a52dec' 'faad2>=2.6.1' 'faac' 'xvidcore' 'zlib' 'imlib2' 'x264=20090108' 'libtheora')
+depends=('lame' 'sdl' 'libvorbis' 'faad2>=2.6.1' 'faac' 'xvidcore' 'zlib' 'imlib2' 'x264>=20090108' 'libtheora')
#remake snapshot with: svn export svn://svn.mplayerhq.hu/ffmpeg/trunk@14236
-source=(ftp://ftp.archlinux.org/other/ffmpeg/ffmpeg-20080715-14236.tar.bz2)
-md5sums=('899ee3dd56a779b1152e48a94fde69f0')
+source=(ftp://ftp.archlinux.org/other/ffmpeg/ffmpeg-${pkgver}-16503.tar.bz2)
+md5sums=('3df85782e9fbbb4a40c6b807baaf6808')
build() {
cd "$srcdir/$pkgname" || return 1
@@ -24,7 +24,6 @@ build() {
--enable-libvorbis \
--enable-libfaac \
--enable-libfaad \
- --enable-liba52 \
--enable-libxvid \
--enable-libx264 \
--enable-libtheora \
@@ -35,11 +34,10 @@ build() {
--enable-swscale \
|| return 1
- make -j 2 || return 1
+ make || return 1
make doc/ff{mpeg,play,server}.1 || return 1
- make DESTDIR="$pkgdir" install || return 1
- make DESTDIR="$pkgdir" install-man || return 1
+ make DESTDIR="$pkgdir" install install-man || return 1
# since makepkg currently declines to strip .a files, do this for now
strip --strip-debug $startdir/pkg/usr/lib/*.a || return 1